git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: Todd Zullinger <tmz@pobox.com>
To: Junio C Hamano <gitster@pobox.com>
Cc: git@vger.kernel.org, Eric Wong <e@80x24.org>,
	Jonathan Nieder <jrnieder@gmail.com>
Subject: [PATCH v2 2/2] t/lib-git-svn.sh: improve svnserve tests with parallel make test
Date: Fri,  1 Dec 2017 10:56:53 -0500	[thread overview]
Message-ID: <20171201155653.29553-2-tmz@pobox.com> (raw)
In-Reply-To: <20171201155653.29553-1-tmz@pobox.com>
In-Reply-To: <20171201153241.27071-1-tmz@pobox.com>

Setting SVNSERVE_PORT enables several tests which require a local
svnserve daemon to be run (in t9113 & t9126).  The tests share setup of
the local svnserve via `start_svnserve()`.  The function uses svnserve's
`--listen-once` option, which causes svnserve to accept one connection
on the port, serve it, and exit.  When running the tests in parallel
this fails if one test tries to start svnserve while the other is still
running.

Use the test number as the svnserve port (similar to httpd tests) to
avoid port conflicts.  Developers can set GIT_TEST_SVNSERVE to any value
other than 'false' or 'auto' to enable these tests.

Acked-by: Eric Wong <e@80x24.org>
Reviewed-by: Jonathan Nieder <jrnieder@gmail.com>
Signed-off-by: Todd Zullinger <tmz@pobox.com>
---
 t/lib-git-svn.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/t/lib-git-svn.sh b/t/lib-git-svn.sh
index 84366b2624..4c1f81f167 100644
--- a/t/lib-git-svn.sh
+++ b/t/lib-git-svn.sh
@@ -110,14 +110,16 @@ EOF
 }
 
 require_svnserve () {
-	if test -z "$SVNSERVE_PORT"
+	test_tristate GIT_TEST_SVNSERVE
+	if ! test "$GIT_TEST_SVNSERVE" = true
 	then
-		skip_all='skipping svnserve test. (set $SVNSERVE_PORT to enable)'
+		skip_all='skipping svnserve test. (set $GIT_TEST_SVNSERVE to enable)'
 		test_done
 	fi
 }
 
 start_svnserve () {
+	SVNSERVE_PORT=${SVNSERVE_PORT-${this_test#t}}
 	svnserve --listen-port $SVNSERVE_PORT \
 		 --root "$rawsvnrepo" \
 		 --listen-once \
-- 
2.15.1


  parent reply	other threads:[~2017-12-01 15:57 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-12-01  2:32 [PATCH 0/2] t/lib-git-svn.sh: improve svnserve tests with parallel make test Todd Zullinger
2017-12-01  2:32 ` [PATCH 1/2] t/lib-git-svn: whitespace cleanup Todd Zullinger
2017-12-01  3:04   ` Jonathan Nieder
2017-12-01  3:42     ` Todd Zullinger
2017-12-01  3:56       ` Jonathan Nieder
2017-12-01  2:32 ` [PATCH 2/2] t/lib-git-svn.sh: improve svnserve tests with parallel make test Todd Zullinger
2017-12-01  3:02   ` Jonathan Nieder
2017-12-01  3:45     ` Todd Zullinger
2017-12-01  3:53       ` Jonathan Nieder
2017-12-01  4:11         ` Todd Zullinger
2017-12-01 15:56           ` [PATCH v2 1/2] t/lib-git-svn: cleanup inconsistent tab/space usage Todd Zullinger
     [not found]           ` <20171201153241.27071-1-tmz@pobox.com>
2017-12-01 15:56             ` Todd Zullinger [this message]
2017-12-01 20:06               ` [PATCH v2 2/2] t/lib-git-svn.sh: improve svnserve tests with parallel make test Jonathan Nieder
2017-12-01  2:56 ` [PATCH 0/2] " Eric Wong
2017-12-01  3:40   ` Todd Zullinger
2017-12-01  3:07 ` Jonathan Nieder
2017-12-01  3:40   ` Todd Zullinger
2017-12-14 18:19 ` Todd Zullinger
2017-12-14 18:45   ` Junio C Hamano
2017-12-14 20:35     ` Todd Zullinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20171201155653.29553-2-tmz@pobox.com \
    --to=tmz@pobox.com \
    --cc=e@80x24.org \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    --cc=jrnieder@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).